Subject: RE: [Ltru] Re: Last Call: draft-mcwalter-langtag-mib (Language Ta g MIB) to Proposed Standard

From: "McDonald, Ira" <[email-masked]>
Date: Tue, 27 Feb 2007 14:54:14 -0800

Hi Bill,

Yes - from the IEEE/ISTO Printer Working Group, see the 
Job Monitoring MIB (RFC 2707) which defined the textual 
convention 'JmNaturalLanguageTagTC' on page 69.  It uses 
max length 63 octets to be consistent with the earlier 
Internet Printing Protocol/1.0 (RFC 2566, now RFC 2911)
that defined the datatype 'naturalLanguage' on page 67, 
also of max length 63 octets.

Various printer vendor enterprise MIBs have imported this
RFC 2707 textual convention or used this same max length
(I wrote them at Xerox and Sharp, but I've seen others). 

Cheers,
- Ira

Ira McDonald (Musician / Software Architect)
Chair - Linux Foundation Open Printing WG
Blue Roof Music / High North Inc
PO Box 221  Grand Marais, MI  49839
phone: +1-906-494-2434
email: [email-masked]

-----Original Message-----
From: Bill Fenner [mailto:[email-masked]]
Sent: Monday, February 26, 2007 7:29 PM
To: McDonald, Ira
Cc: John Cowan; Doug Ewell; [email-masked]; LTRU Working Group;
[email-masked]
Subject: Re: [Ltru] Re: Last Call: draft-mcwalter-langtag-mib (Language
Ta g MIB) to Proposed Standard

On 2/10/07, McDonald, Ira <[email-masked]> wrote:
> With respect to max length of 60, the public MIBs that
> I'm aware of often use 63 octets

Do you have any pointers?  I searched my MIB object database for
objects named "*Language*" or with DESCRIPTIONS with "Language"
inside, and only got the IP-MROUTE-MIB and MALLOC-MIB ones.  The
MALLOC-MIB one was interesting, since it uses
IPMROUTE-STD-MIB::LanguageTag(1..94).

Thanks,
  Bill

-- 
No virus found in this outgoing message.
Checked by AVG Free Edition.
Version: 7.5.446 / Virus Database: 268.18.4/705 - Release Date: 2/27/2007
3:24 PM

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru